package cn.iocoder.yudao.module.bpm.controller.admin.task.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - Bpm 任务规则 Response VO")
@Data
@ExcelIgnoreUnannotated
public class BpmTaskAssignRuleRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "17826")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "流程模型的编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1174")
    @ExcelProperty("流程模型的编号")
    private String modelId;

    @Schema(description = "流程定义的编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23738")
    @ExcelProperty("流程定义的编号")
    private String processDefinitionId;

    @Schema(description = "流程任务定义的key", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("流程任务定义的key")
    private String taskDefinitionKey;

    @Schema(description = "规则类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("规则类型")
    private Integer type;

    @Schema(description = "规则值，JSON 数组", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("规则值，JSON 数组")
    private String options;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}