package cn.iocoder.yudao.module.bpm.dal.dataobject.task;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * Bpm 任务规则 DO
 *
 * @author 芋道源码
 */
@TableName("bpm_task_assign_rule")
@KeySequence("bpm_task_assign_rule_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmTaskAssignRuleDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 流程模型的编号
     */
    private String modelId;
    /**
     * 流程定义的编号
     */
    private String processDefinitionId;
    /**
     * 流程任务定义的key
     */
    private String taskDefinitionKey;
    /**
     * 规则类型
     */
    private Integer type;
    /**
     * 规则值，JSON 数组
     */
    private String options;

}