package cn.iocoder.yudao.module.bpm.dal.mysql.task;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.dal.dataobject.task.BpmTaskAssignRuleDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.*;

/**
 * Bpm 任务规则 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface BpmTaskAssignRuleMapper extends BaseMapperX<BpmTaskAssignRuleDO> {

    default PageResult<BpmTaskAssignRuleDO> selectPage(BpmTaskAssignRulePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<BpmTaskAssignRuleDO>()
                .eqIfPresent(BpmTaskAssignRuleDO::getModelId, reqVO.getModelId())
                .eqIfPresent(BpmTaskAssignRuleDO::getProcessDefinitionId, reqVO.getProcessDefinitionId())
                .eqIfPresent(BpmTaskAssignRuleDO::getTaskDefinitionKey, reqVO.getTaskDefinitionKey())
                .eqIfPresent(BpmTaskAssignRuleDO::getType, reqVO.getType())
                .eqIfPresent(BpmTaskAssignRuleDO::getOptions, reqVO.getOptions())
                .betweenIfPresent(BpmTaskAssignRuleDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(BpmTaskAssignRuleDO::getId));
    }

}