package cn.iocoder.yudao.module.bpm.service.task;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.*;
import cn.iocoder.yudao.module.bpm.dal.dataobject.task.BpmTaskAssignRuleDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * Bpm 任务规则 Service 接口
 *
 * @author 芋道源码
 */
public interface BpmTaskAssignRuleService {

    /**
     * 创建Bpm 任务规则
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTaskAssignRule(@Valid BpmTaskAssignRuleSaveReqVO createReqVO);

    /**
     * 更新Bpm 任务规则
     *
     * @param updateReqVO 更新信息
     */
    void updateTaskAssignRule(@Valid BpmTaskAssignRuleSaveReqVO updateReqVO);

    /**
     * 删除Bpm 任务规则
     *
     * @param id 编号
     */
    void deleteTaskAssignRule(Long id);

    /**
     * 获得Bpm 任务规则
     *
     * @param id 编号
     * @return Bpm 任务规则
     */
    BpmTaskAssignRuleDO getTaskAssignRule(Long id);


    /**
     * 获得Bpm 任务规则
     *
     * @param id 编号
     * @return Bpm 任务规则
     */
    List<BpmTaskAssignRuleDO> getTaskAssignRuleModelId(String id);


    /**
     * 获得Bpm 任务规则分页
     *
     * @param pageReqVO 分页查询
     * @return Bpm 任务规则分页
     */
    PageResult<BpmTaskAssignRuleDO> getTaskAssignRulePage(BpmTaskAssignRulePageReqVO pageReqVO);

}